Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.netuix.servlets.manager.UIServlet
                  com.bea.netuix.servlets.manager.PortalServlet

All Implemented Interfaces:
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, Servlet, ServletConfig

public class PortalServlet
extends com.bea.netuix.servlets.manager.UIServlet

Front door servlet to handle requests for portals and desktops. Requests that end in 'portalExtensions' are handed off to the `UIServlet`. The `UIControl` tree or content uri for a portal for a requested desktop is cached after being retrieved from the persistent store. Caches for user personalized desktops are flushed at the end of a user's session. Non-personalized desktops stay in the cache until either the cache expires them based on its ttl value or they are updated using the persistence API. ContentUris for portals are also cached and flushed using the aforementioned logic.

If a tree is obtained, it is handed over to the `UIServlet` to run lifecycle methods on it. If a content uri is obtained the request is forwarded to it.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PortalServlet.UserCacheFlushSessionBindingListener` SessionBindingListener to flush the user cache at the end of a session.

Field Summary

Fields inherited from class com.bea.netuix.servlets.manager.UIServlet
`PATH_INFO, PROFILE_ON, PROFILE_OUTPUT_FREQUENCY, SERVLET_PATH, STREAM_REQUEST_FILE, STREAMING_JSPX, STREAMING_JSPX_FILE_PARAM`

Constructor Summary
`PortalServlet()`

Method Summary
`protected com.bea.netuix.application.manager.util.CacheKey` | `createCacheKey(String _webAppName, String _portalPath, String _desktopPath, String _userName, ArrayList _locales)` Deprecated. As of 8.1 SP2, replaced by `createCacheKey()`
`protected UIControlTreeCacheData` | `createControlTreeData(byte[] controlTreeBytes)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` | `doPost(HttpServletRequest request, HttpServletResponse response)` doPost method.
`protected byte[]` | `getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected Serializable` | `getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected UIControlTreeCacheData` | `getTreeFromJspx(String jspx, HttpServletRequest request, HttpServletResponse response, Locale locale)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`void` | `init()` Initalize this servlet.
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, byte[] cacheValue)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, UIControlTreeCacheData cacheValue)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

Methods inherited from class com.bea.netuix.servlets.manager.UIServlet
`createJspContext, getDefaultPackage, getDefaultPageName, getTree, getTree, getTreeForUrl, getTreeForUrl, initControlTreeWalkerPool, processControlTree, processStream, runLifecycle, service, setContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalServlet

    public PortalServlet()

Method Detail

### createCacheKey

    protected com.bea.netuix.application.manager.util.CacheKey createCacheKey(String _webAppName,
                                                                              String _portalPath,
                                                                              String _desktopPath,
                                                                              String _userName,
                                                                              ArrayList _locales)

  Deprecated. As of 8.1 SP2, replaced by `createCacheKey()`

### createControlTreeData

    protected UIControlTreeCacheData createControlTreeData(byte[] controlTreeBytes)
                                                    throws IOException,
                                                           ClassNotFoundException

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

  Throws:
    `IOException`
    `ClassNotFoundException`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Throws:
    `ServletException`
    `IOException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       IOException

  doPost method.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResposne
  Throws:
    `ServletException`
    `IOException`

### getCachedControlTreeBytes

    protected byte[] getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### getFromTreeCache

    protected Serializable getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### getTreeFromJspx

    protected UIControlTreeCacheData getTreeFromJspx(String jspx,
                                                     HttpServletRequest request,
                                                     HttpServletResponse response,
                                                     Locale locale)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### init

    public void init()
              throws ServletException

  Initalize this servlet.

  Throws:
    `ServletException`

### putInTreeCache

    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                  byte[] cacheValue)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### putInTreeCache

    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                  UIControlTreeCacheData cacheValue)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved